- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists all software packages in lab and their versions.
HTTP request
GET https://devicerun.googleapis.com/v1alpha/{parent=projects/*/locations/*}/softwareVersions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent of the collection of software versions. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of software versions to return. The server may return fewer items than this value. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. An AIP-160 (https://google.aip.dev/160) filter expression restricting which software versions are returned. An empty filter returns all software versions. Filtering is supported over the Examples: * |
Request body
The request body must be empty.
Response body
Response includes listed software versions.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"softwareVersions": [
{
object ( |
| Fields | |
|---|---|
softwareVersions[] |
The list of software versions. |
nextPageToken |
Token to receive the next page of software versions. This will be absent if the end of the response list has been reached. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
devicerun.softwareVersions.list
For more information, see the IAM documentation.